Bug 804465 - Bus error in _st_theme_get_matched_properties
Bus error in _st_theme_get_matched_properties
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 21:08 EDT by Tom London
Modified: 2015-02-17 09:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:10:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2012-03-18 21:08:39 EDT
Description of problem:
Got the following bus error core dump from gnome shell "at the end" of a yum update of the following packages:

  epiphany-debuginfo.x86_64 1:3.3.91-1.fc17                                     
  gnome-keyring-debuginfo.x86_64 0:3.3.91-1.fc17                                
  gnome-packagekit.x86_64 0:3.3.92-1.fc18                                       
  gnome-power-manager.x86_64 0:3.3.92-1.fc18                                    
  gnome-shell-debuginfo.x86_64 0:3.3.90-2.fc17                                  
  gupnp.x86_64 0:0.18.2-1.fc18                                                  
  gupnp-devel.x86_64 0:0.18.2-1.fc18                                            
  gupnp-dlna.x86_64 0:0.6.6-1.fc18                                              
  libgnome-keyring-debuginfo.x86_64 0:3.3.91-1.fc17                             
  libgweather-debuginfo.x86_64 0:3.4.1-1.fc17                                   
  libssh2.x86_64 0:1.4.0-3.fc18                                                 
  mutter-debuginfo.x86_64 0:3.3.90-2.fc17                                       
  rhythmbox-debuginfo.x86_64 0:2.95-5.fc17                                      
  totem-debuginfo.x86_64 1:3.3.90-2.fc17    



Core was generated by `/usr/bin/gnome-shell'.
Program terminated with signal 7, Bus error.
#0  0x00000036a7a5aec2 in _st_theme_get_matched_properties (
    theme=0xaaaaaaaaaaaaaaaa, node=node@entry=0x301c090) at st/st-theme.c:983
983	  g_return_val_if_fail (ST_IS_THEME (theme), NULL);
Missing separate debuginfos, use: debuginfo-install ibus-gtk3-1.4.99.20120317-1.fc18.x86_64 ibus-libs-1.4.99.20120317-1.fc18.x86_64 nss-util-3.13.3-2.fc17.x86_64 polkit-0.104-6.fc17.x86_64
(gdb) set pagination off
(gdb) bt full
#0  0x00000036a7a5aec2 in _st_theme_get_matched_properties (theme=0x-5555555555555556, node=node@entry=0x301c090) at st/st-theme.c:983
        __inst = 0x-5555555555555556
        __t = 39896192
        __r = <optimized out>
        _g_boolean_var_ = <optimized out>
        origin = ORIGIN_UA
        sheet = 0x0
        props = 0x6c60520
        iter = <optimized out>
        __PRETTY_FUNCTION__ = "_st_theme_get_matched_properties"
#1  0x00000036a7a5bae0 in ensure_properties (node=0x301c090) at st/st-theme-node.c:336
        properties = 0x0
#2  ensure_properties (node=0x301c090) at st/st-theme-node.c:327
No locals.
#3  0x00000036a7a5d940 in get_length_internal (length=0x7fff14b05f08, property_name=0x36a7a7aac7 "border-spacing", node=0x301c090, suffixed=<optimized out>) at st/st-theme-node.c:880
        i = <optimized out>
#4  st_theme_node_lookup_length (node=node@entry=0x301c090, property_name=property_name@entry=0x36a7a7aac7 "border-spacing", inherit=inherit@entry=0, length=length@entry=0x7fff14b05f08) at st/st-theme-node.c:928
        result = (unknown: 39896192)
#5  0x00000036a7a478da in st_button_style_changed (widget=0x2fd3660 [StButton]) at st/st-button.c:116
        button = 0x2fd3660 [StButton]
        priv = 0x2fd39f0
        button_class = 0x2bacc10
        theme_node = 0x301c090
        spacing = 6
#6  0x0000003ed500fa15 in _g_closure_invoke_va (closure=closure@entry=0x284eaa0, return_value=return_value@entry=0x0, instance=instance@entry=0x2fd3660, args=args@entry=0x7fff14b06208, n_params=0, param_types=0x0) at gclosure.c:840
        marshal = 0x3ed500de30 <g_type_class_meta_marshalv>
        marshal_data = 0x270
        in_marshal = <optimized out>
        real_closure = 0x284ea80
        __PRETTY_FUNCTION__ = "_g_closure_invoke_va"
#7  0x0000003ed5029169 in g_signal_emit_valist (instance=0x2fd3660, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fff14b06208) at gsignal.c:3206
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = {next = 0x7fff14b06510, instance = 0x2fd3660, ihint = {signal_id = 282, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 41431200}
        signal_id = 282
        emission_return = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 4
        static_scope = 0
        closure = 0x284eaa0
        run_type = <optimized out>
        hlist = 0x0
        l = <optimized out>
        fastpath = 0
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#8  0x0000003ed50297c2 in g_signal_emit (instance=instance@entry=0x2fd3660, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3352
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff14b062e0, reg_save_area = 0x7fff14b06220}}
#9  0x00000036a7a67ba3 in st_widget_recompute_style (widget=widget@entry=0x2fd3660 [StButton], old_theme_node=old_theme_node@entry=0x2f2ae00 [StThemeNode]) at st/st-widget.c:1450
        new_theme_node = 0x301c090
        transition_duration = 0
        paint_equal = <optimized out>
#10 0x00000036a7a67dcb in st_widget_style_changed (widget=0x2fd3660 [StButton]) at st/st-widget.c:479
        old_theme_node = 0x2f2ae00 [StThemeNode]
#11 0x00000036a7a68bfb in notify_children_of_style_change (self=<optimized out>) at st/st-widget.c:446
        iter = {clutter_private_dummy1 = 0x2c028c0, clutter_private_dummy2 = 0x2fd3660, clutter_private_dummy3 = 0x2a924b0, clutter_private_dummy4 = 4, clutter_private_dummy5 = 0x7fff14b06648}
        actor = 0x2fd3660 [StButton]
#12 0x0000003ed500fa15 in _g_closure_invoke_va (closure=closure@entry=0x284eaa0, return_value=return_value@entry=0x0, instance=instance@entry=0x2c028c0, args=args@entry=0x7fff14b06648, n_params=0, param_types=0x0) at gclosure.c:840
        marshal = 0x3ed500de30 <g_type_class_meta_marshalv>
        marshal_data = 0x270
        in_marshal = <optimized out>
        real_closure = 0x284ea80
        __PRETTY_FUNCTION__ = "_g_closure_invoke_va"
#13 0x0000003ed5029169 in g_signal_emit_valist (instance=0x2c028c0, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fff14b06648) at gsignal.c:3206
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = {next = 0x7fff14b06950, instance = 0x2c028c0, ihint = {signal_id = 282, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 38547824}
        signal_id = 282
        emission_return = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 4
        static_scope = 0
        closure = 0x284eaa0
        run_type = <optimized out>
        hlist = 0x0
        l = <optimized out>
        fastpath = 0
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#14 0x0000003ed50297c2 in g_signal_emit (instance=instance@entry=0x2c028c0, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3352
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff14b06720, reg_save_area = 0x7fff14b06660}}
#15 0x00000036a7a67ba3 in st_widget_recompute_style (widget=widget@entry=0x2c028c0 [StBoxLayout], old_theme_node=old_theme_node@entry=0x30323e0 [StThemeNode]) at st/st-widget.c:1450
        new_theme_node = 0x4ddce00 [StThemeNode]
        transition_duration = 0
        paint_equal = <optimized out>
#16 0x00000036a7a67dcb in st_widget_style_changed (widget=0x2c028c0 [StBoxLayout]) at st/st-widget.c:479
        old_theme_node = 0x30323e0 [StThemeNode]
#17 0x00000036a7a68bfb in notify_children_of_style_change (self=<optimized out>) at st/st-widget.c:446
        iter = {clutter_private_dummy1 = 0x2c02530, clutter_private_dummy2 = 0x2c028c0, clutter_private_dummy3 = 0x2a924b0, clutter_private_dummy4 = 1, clutter_private_dummy5 = 0x7fff14b06a88}
        actor = 0x2c028c0 [StBoxLayout]
#18 0x0000003ed500fa15 in _g_closure_invoke_va (closure=closure@entry=0x284eaa0, return_value=return_value@entry=0x0, instance=instance@entry=0x2c02530, args=args@entry=0x7fff14b06a88, n_params=0, param_types=0x0) at gclosure.c:840
        marshal = 0x3ed500de30 <g_type_class_meta_marshalv>
        marshal_data = 0x270
        in_marshal = <optimized out>
        real_closure = 0x284ea80
        __PRETTY_FUNCTION__ = "_g_closure_invoke_va"
#19 0x0000003ed5029169 in g_signal_emit_valist (instance=0x2c02530, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fff14b06a88) at gsignal.c:3206
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = {next = 0x7fff14b06d80, instance = 0x2c02530, ihint = {signal_id = 282, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 45352720}
        signal_id = 282
        emission_return = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 4
        static_scope = 0
        closure = 0x284eaa0
        run_type = <optimized out>
        hlist = 0x0
        l = <optimized out>
        fastpath = 0
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#20 0x0000003ed50297c2 in g_signal_emit (instance=instance@entry=0x2c02530, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3352
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff14b06b60, reg_save_area = 0x7fff14b06aa0}}
#21 0x00000036a7a67ba3 in st_widget_recompute_style (widget=widget@entry=0x2c02530 [StBin], old_theme_node=old_theme_node@entry=0x30e56e0 [StThemeNode]) at st/st-widget.c:1450
        new_theme_node = 0x4dd8530 [StThemeNode]
        transition_duration = 0
        paint_equal = <optimized out>
#22 0x00000036a7a67dcb in st_widget_style_changed (widget=0x2c02530 [StBin]) at st/st-widget.c:479
        old_theme_node = 0x30e56e0 [StThemeNode]
#23 0x00000036a7a68bfb in notify_children_of_style_change (self=<optimized out>) at st/st-widget.c:446
        iter = {clutter_private_dummy1 = 0x2b543d0, clutter_private_dummy2 = 0x2c02530, clutter_private_dummy3 = 0xffffffff, clutter_private_dummy4 = 2, clutter_private_dummy5 = 0x6bf0f40}
        actor = 0x2c02530 [StBin]
#24 0x0000003ed500f804 in g_closure_invoke (closure=closure@entry=0x284eaa0, return_value=return_value@entry=0x0, n_param_values=1, param_values=param_values@entry=0x6bf0f40, invocation_hint=invocation_hint@entry=0x7fff14b06d90) at gclosure.c:777
        marshal = 0x3ed500e410 <g_type_class_meta_marshal>
        marshal_data = 0x270
        in_marshal = <optimized out>
        real_closure = 0x284ea80
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#25 0x0000003ed5021260 in signal_emit_unlocked_R (node=node@entry=0x2a924b0, detail=detail@entry=0, instance=instance@entry=0x2b543d0, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x6bf0f40) at gsignal.c:3585
        accumulator = 0x0
        emission = {next = 0x7fff14b07320, instance = 0x2b543d0, ihint = {signal_id = 282, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 45421472}
        class_closure = 0x284eaa0
        hlist = 0x2fc3070
        handler_list = 0x2fc3070
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 282
        max_sequential_handler_number = 24933
        return_value_altered = 1
#26 0x0000003ed50295da in g_signal_emit_valist (instance=0x2b543d0, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fff14b06ff8) at gsignal.c:3295
        instance_and_params = 0x6bf0f40
        signal_return_type = 4
        param_values = 0x6bf0f58
        node = <optimized out>
        i = <optimized out>
        n_params = 0
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#27 0x0000003ed50297c2 in g_signal_emit (instance=instance@entry=0x2b543d0, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3352
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff14b070d0, reg_save_area = 0x7fff14b07010}}
#28 0x00000036a7a67ba3 in st_widget_recompute_style (widget=widget@entry=0x2b543d0 [StGroup], old_theme_node=old_theme_node@entry=0x30efdf0 [StThemeNode]) at st/st-widget.c:1450
        new_theme_node = 0x2fae230
        transition_duration = 0
        paint_equal = <optimized out>
#29 0x00000036a7a67dcb in st_widget_style_changed (widget=0x2b543d0 [StGroup]) at st/st-widget.c:479
        old_theme_node = 0x30efdf0 [StThemeNode]
#30 0x00000036a7a68110 in st_widget_add_style_pseudo_class (actor=0x2b543d0 [StGroup], pseudo_class=0x36a7a7e41b "hover") at st/st-widget.c:1244
        __PRETTY_FUNCTION__ = "st_widget_add_style_pseudo_class"
#31 0x00000036a7a68215 in st_widget_set_hover (widget=0x2b543d0 [StGroup], hover=hover@entry=1) at st/st-widget.c:1592
        priv = <optimized out>
        __PRETTY_FUNCTION__ = "st_widget_set_hover"
#32 0x00000036a7a68519 in st_widget_enter (actor=0x2b543d0 [StGroup], event=0x2f0d760) at st/st-widget.c:618
        priv = <optimized out>
#33 0x00000036a72cade9 in _clutter_marshal_BOOLEAN__BOXED (closure=0x1606c30, return_value=0x7fff14b072e0, n_param_values=<optimized out>, param_values=0x7fd85c009ac0, invocation_hint=<optimized out>, marshal_data=<optimized out>) at clutter-marshal.c:85
        callback = 0x36a7a68460 <st_widget_enter>
        cc = <optimized out>
        data1 = 0x2b543d0
        data2 = <optimized out>
        v_return = <optimized out>
        __PRETTY_FUNCTION__ = "_clutter_marshal_BOOLEAN__BOXED"
#34 0x0000003ed500f804 in g_closure_invoke (closure=closure@entry=0x1606c30, return_value=return_value@entry=0x7fff14b072e0, n_param_values=2, param_values=param_values@entry=0x7fd85c009ac0, invocation_hint=invocation_hint@entry=0x7fff14b07330) at gclosure.c:777
        marshal = 0x3ed500e410 <g_type_class_meta_marshal>
        marshal_data = 0x148
        in_marshal = <optimized out>
        real_closure = 0x1606c10
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#35 0x0000003ed5021260 in signal_emit_unlocked_R (node=node@entry=0x1606c80, detail=detail@entry=0, instance=instance@entry=0x2b543d0, emission_return=emission_return@entry=0x7fff14b07420, instance_and_params=instance_and_params@entry=0x7fd85c009ac0) at gsignal.c:3585
        accumulator = 0x1606cf0
        emission = {next = 0x0, instance = 0x2b543d0, ihint = {signal_id = 235, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 45421472}
        class_closure = 0x1606c30
        hlist = 0x0
        handler_list = 0x0
        return_accu = 0x7fff14b072e0
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 235
        max_sequential_handler_number = 24933
        return_value_altered = 0
#36 0x0000003ed5028df6 in g_signal_emit_valist (instance=0x2b543d0, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fff14b07598) at gsignal.c:3305
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        error = 0x0
        rtype = 20
        static_scope = 0
        instance_and_params = 0x7fd85c009ac0
        signal_return_type = 20
        param_values = 0x7fd85c009ad8
        node = <optimized out>
        i = <optimized out>
        n_params = 1
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#37 0x0000003ed50297c2 in g_signal_emit (instance=instance@entry=0x2b543d0, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3352
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff14b07670, reg_save_area = 0x7fff14b075b0}}
#38 0x00000036a723b8fd in clutter_actor_event (actor=0x2b543d0 [StGroup], event=event@entry=0x2f0d760, capture=capture@entry=0) at ./clutter-actor.c:11263
        retval = 0
        signal_num = <optimized out>
        __PRETTY_FUNCTION__ = "clutter_actor_event"
#39 0x00000036a727ee75 in emit_event (is_key_event=0, event=0x2f0d760) at ./clutter-main.c:2274
        actor = <optimized out>
        i = <optimized out>
        event_tree = 0x6bf0f00
        lock = 1
#40 emit_pointer_event (device=<optimized out>, event=0x2f0d760) at ./clutter-main.c:2301
        context = <optimized out>
#41 _clutter_process_event_details (event=0x2f0d760, stage=<optimized out>, context=<optimized out>) at ./clutter-main.c:2458
        device = <optimized out>
#42 _clutter_process_event (event=event@entry=0x2f0d760) at ./clutter-main.c:2650
        context = 0x1608b70
        stage = <optimized out>
#43 0x00000036a7274018 in _clutter_input_device_set_actor (device=device@entry=0x2401060 [ClutterInputDeviceX11], actor=actor@entry=0x2b543d0 [StGroup], emit_crossing=emit_crossing@entry=1) at ./clutter-input-device.c:555
        event = 0x2f0d760
        old_actor = 0x2b70740 [ClutterRectangle]
#44 0x00000036a72746e2 in _clutter_input_device_update (device=device@entry=0x2401060 [ClutterInputDeviceX11], emit_crossing=emit_crossing@entry=1) at ./clutter-input-device.c:742
        stage = <optimized out>
        new_cursor_actor = 0x2b543d0 [StGroup]
        old_cursor_actor = 0x2b70740 [ClutterRectangle]
        x = 1679
        y = 1049
#45 0x00000036a727e8e5 in _clutter_process_event_details (event=0x2f08700, stage=0x1747500 [ClutterStage], context=<optimized out>) at ./clutter-main.c:2577
        actor = <optimized out>
        x = 1679
        y = 1049
        device = 0x2401060 [ClutterInputDeviceX11]
#46 _clutter_process_event (event=event@entry=0x2f08700) at ./clutter-main.c:2650
        context = 0x1608b70
        stage = 0x1747500 [ClutterStage]
#47 0x00000036a7293819 in _clutter_stage_process_queued_events (stage=0x1747500 [ClutterStage]) at ./clutter-stage.c:1017
        next_event = <optimized out>
        device = <optimized out>
        event = 0x2f08700
        next_device = <optimized out>
        check_device = <optimized out>
        priv = 0x1747820
        events = 0x6bec1a0 = {0x2f0d9e0, 0x2f08700}
        l = 0x6bec220 = {0x2f08700}
        __PRETTY_FUNCTION__ = "_clutter_stage_process_queued_events"
#48 0x00000036a727f675 in clutter_clock_dispatch (source=source@entry=0x25bacf0, callback=<optimized out>, user_data=<optimized out>) at ./clutter-master-clock.c:374
        clock_source = 0x25bacf0
        master_clock = 0x2560640 [ClutterMasterClock]
        stage_manager = <optimized out>
        stages_updated = 0
        stages = 0x33fd400 = {0x1747500}
        l = 0x33fd400 = {0x1747500}
#49 0x0000003ed3c4773c in g_main_dispatch (context=0x1613a10) at gmain.c:2510
        dispatch = 0x36a727f5e0 <clutter_clock_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x25bacf0, next = 0x0}
        need_destroy = <optimized out>
        source = 0x25bacf0
        current = 0x2441420
        i = <optimized out>
#50 g_main_context_dispatch (context=context@entry=0x1613a10) at gmain.c:3047
No locals.
#51 0x0000003ed3c47b58 in g_main_context_iterate (context=0x1613a10, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3118
        max_priority = 150
        timeout = 0
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = <optimized out>
        fds = 0x2ea0e60
#52 0x0000003ed3c47f42 in g_main_loop_run (loop=0x16145e0) at gmain.c:3312
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#53 0x00000036a6e546a7 in meta_run () at core/main.c:555
        log_domains = {0x0, 0x36a6e9c0ba "mutter", 0x36a6e9b41d "Gtk", 0x36a6e9b421 "Gdk", 0x36a6e9b425 "GLib", 0x36a6e9b42a "Pango", 0x36a6e9b430 "GLib-GObject", 0x36a6e9b43d "GThread"}
        i = <optimized out>
#54 0x0000000000401cc6 in main (argc=1, argv=0x7fff14b07b88) at main.c:352
        ctx = <optimized out>
        error = 0x0
        session_type = <optimized out>
        ecode = <optimized out>
        sender = 0x2445c00 [TpDebugSender]
(gdb) 


Version-Release number of selected component (if applicable):
gnome-shell-3.3.90-2.fc17.x86_64

How reproducible:
Don't know. Also got "freeze" prior to this, ctrl-alt-backspace eventually worked.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2013-04-03 12:39:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora End Of Life 2015-01-09 12:04:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 09:10:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.